use dioxus::prelude::*;
use crate::utils::prop_structs::TitleProps;

pub fn Title(cx: Scope<TitleProps>) -> Element {
    let title = cx.props.title.clone();
    let is_html = cx.props.is_html;
    cx.render(rsx!{
        div { class: "p-4 ring-4 bg-alice-werefox-grey-lightest dark:bg-alice-werefox-grey-dark ring-alice-werefox-red-dark dark:ring-alice-werefox-red text-alice-werefox-grey-dark dark:text-alice-werefox-grey-light",
            span { class: "flex flex-row mx-auto max-w-full justify-center text-xl text-center",
                TitleHtml { title: title, is_html: is_html }
            }
        }
    })
}

fn TitleHtml(cx: Scope<TitleProps>) -> Element {
    let title = cx.props.title.clone();
    if cx.props.is_html {
        #[cfg(any(target_family = "unix", target_family = "windows"))]
        return cx.render(rsx!{
            span { class: "flex flex-row align-middle mx-auto max-w-full justify-center",
                "{title}&nbsp;"
            }
        });
        #[cfg(target_family = "wasm")]
        return cx.render(rsx!{
            span { class: "flex flex-row align-middle mx-auto max-w-full justify-center",
                div { dangerous_inner_html: "{title}", }
            }
        });
    } else {
        return cx.render(rsx!{
            span {
                "{title}"
            }
        })
    }
}