use crate::void_app::{Element, Props};

#[derive(PartialEq, Props)]
pub struct PoemRequest {
    pub slug: String,
    pub dark_mode: Option<bool>,
}

#[derive(PartialEq, Props)]
pub struct DarkModeProps {
    pub dark_mode: bool,
    pub slug: Option<String>,
}

#[derive(PartialEq, Props)]
pub struct TitleProps {
    pub title: String,
    pub is_html: bool,
}

#[derive(PartialEq, Props)]
pub struct ButtonProps {
    pub title: String,
    pub slug: String,
}

#[derive(PartialEq, Props)]
pub struct PoemData {
    pub title: Option<String>,
    pub content: Option<String>,
    pub creation_date: Option<String>,
    pub slug: Option<String>,
    pub dark_mode: Option<bool>,
}

#[derive(Props)]
pub struct PoemChildren<'a> {
    pub children: Element<'a>,
}
